Bug 230237 - Compiz workspace management problems
Compiz workspace management problems
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-27 12:06 EST by Eric Buist
Modified: 2008-01-15 09:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Buist 2007-02-27 12:06:27 EST
Description of problem:
When Compiz is active, I cannot switch the active workspace anymore. If I try to
switch using the keyboard, the taskbar does not change its current workspace,
but all windows disappear. I can come up to the active workspace using the
keyboard. If I switch using the mouse, all my windows are hidden, and don't show
up anymore when I get back to the previously active workspace.
I also tried with Beryl, which does not have this bug, but I have other problems
with this one: the focus is lost on the shutdown window, preventing system
shutdown using the keyboard.

Version-Release number of selected component (if applicable):
Compiz 0.3.6
Beryl 0.1.9999-2.2
GNOME 2.16
Xorg 7.1

How reproducible:
Always

Steps to Reproduce:
1. Start Compiz, and set the first workspace as active.
2. Open a window on the first workspace, e.g., a terminal.
3. Switch to the next workspace using CTRL-ALT-Right.
4. Get back to the originally active workspace using CTRL-ALT-Left
5. Click on the next workspace to switch using the mouse.
6. Get back to the original workspace using CTRL-Alt-Left.
  
Actual results:
After step 3, the screen is empty, and the task bar indicates that the first
workspace is active.
After step 6, the screen is empty, and the first workspace is active.

Expected results:
After step 3, the screen should be empty, and the taskbar should indicate that
the second workspace is active.
After step 6, the screen should contain the original window opened on the first
workspace, which should be marked by the taskbar as active.

Additional info:
The bug gets Compiz unusable, unless the user sticks to a single workspace.
Comment 1 Kristian Høgsberg 2007-08-15 18:40:14 EDT
This was a bug in how compiz was launched, it should be working in rawhide now.
 Please give the recent rawhide build a try and let us know if it works. Thanks.
Comment 2 Matěj Cepl 2007-09-12 06:23:20 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Eric Buist 2007-09-12 09:26:38 EDT
Unfortunately, I do not use Fedora Core anymore; I have switched to Ubuntu.
Moreover, I do not know how to get rawhide builds. I even don't know what
rawhide is all about.
Comment 4 Matěj Cepl 2007-12-10 04:22:50 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 5 Matěj Cepl 2008-01-15 09:39:52 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.